Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class EntityBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.EntityBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EntityBeanType<T>

    public class EntityBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EntityBeanType<T>

This class implements the `entity-beanType` xsd type

Original Documentation:

The entity-beanType declares an entity bean. The declaration
consists of:
- an optional description
- an optional display name
- an optional icon element that contains a small and a large
icon file name
- a unique name assigned to the enterprise bean
in the deployment descriptor
- an optional mapped-name element that can be used to provide
vendor-specific deployment information such as the physical
jndi-name of the entity bean's remote home interface. This
element is not required to be supported by all implementations.
Any use of this element is non-portable.
- the names of the entity bean's remote home
and remote interfaces, if any
- the names of the entity bean's local home and local
interfaces, if any
- the entity bean's implementation class
- the optional entity bean's persistence management type. If
this element is not specified it is defaulted to Container.
- the entity bean's primary key class name
- an indication of the entity bean's reentrancy
- an optional specification of the
entity bean's cmp-version
- an optional specification of the entity bean's
abstract schema name
- an optional list of container-managed fields
- an optional specification of the primary key
field
- an optional declaration of the bean's environment
entries
- an optional declaration of the bean's EJB
references
- an optional declaration of the bean's local
EJB references
- an optional declaration of the bean's web
service references
- an optional declaration of the security role
references
- an optional declaration of the security identity
to be used for the execution of the bean's methods
- an optional declaration of the bean's
resource manager connection factory references
- an optional declaration of the bean's
resource environment references
- an optional declaration of the bean's message
destination references
- an optional set of query declarations
for finder and select methods for an entity
bean with cmp-version 2.x.
The optional abstract-schema-name element must be specified
for an entity bean with container-managed persistence and
cmp-version 2.x.
The optional primkey-field may be present in the descriptor
if the entity's persistence-type is Container.
The optional cmp-version element may be present in the
descriptor if the entity's persistence-type is Container. If
the persistence-type is Container and the cmp-version
element is not specified, its value defaults to 2.x.
The optional home and remote elements must be specified if
the entity bean cmp-version is 1.x.
The optional home and remote elements must be specified if
the entity bean has a remote home and remote interface.
The optional local-home and local elements must be specified
if the entity bean has a local home and local interface.
Either both the local-home and the local elements or both
the home and the remote elements must be specified.
The optional query elements must be present if the
persistence-type is Container and the cmp-version is 2.x and
query methods other than findByPrimaryKey have been defined
for the entity bean.
The other elements that are optional are "optional" in the
sense that they are omitted if the lists represented by them
are empty.
At least one cmp-field element must be present in the
descriptor if the entity's persistence-type is Container and
the cmp-version is 1.x, and none must not be present if the
entity's persistence-type is Bean.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EntityBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EntityBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`CmpFieldType<EntityBeanType<T>>` | `cmpField()` Returns the `cmp-field` element
`EjbLocalRefType<EntityBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<EntityBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<EntityBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.lang.String` | `getAbstractSchemaName()` Returns the `abstract-schema-name` element
`java.util.List<CmpFieldType<EntityBeanType<T>>>` | `getCmpFieldList()` Returns all `cmp-field` elements
`CmpVersionType` | `getCmpVersion()` Returns the `cmp-version` element
`java.lang.String` | `getCmpVersionAsString()` Returns the `cmp-version` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<EntityBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<EntityBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<EntityBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHome()` Returns the `home` element
`java.util.List<IconType<EntityBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getLocal()` Returns the `local` element
`java.lang.String` | `getLocalHome()` Returns the `local-home` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<EntityBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<EntityBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`PersistenceTypeType` | `getPersistenceType()` Returns the `persistence-type` element
`java.lang.String` | `getPersistenceTypeAsString()` Returns the `persistence-type` element
`java.util.List<PersistenceUnitRefType<EntityBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<EntityBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<EntityBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.lang.String` | `getPrimKeyClass()` Returns the `prim-key-class` element
`java.lang.String` | `getPrimkeyField()` Returns the `primkey-field` element
`java.util.List<QueryType<EntityBeanType<T>>>` | `getQueryList()` Returns all `query` elements
`java.lang.String` | `getRemote()` Returns the `remote` element
`java.util.List<ResourceEnvRefType<EntityBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<EntityBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleRefType<EntityBeanType<T>>>` | `getSecurityRoleRefList()` Returns all `security-role-ref` elements
`java.util.List<ServiceRefType<EntityBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`IconType<EntityBeanType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isReentrant()` Returns the `reentrant` element
`MessageDestinationRefType<EntityBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<EntityBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<EntityBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<EntityBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<EntityBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`QueryType<EntityBeanType<T>>` | `query()` Returns the `query` element
`EntityBeanType<T>` | `removeAbstractSchemaName()` Removes the `abstract-schema-name` element
`EntityBeanType<T>` | `removeAllCmpField()` Removes all `cmp-field` elements
`EntityBeanType<T>` | `removeAllDescription()` Removes the `description` element
`EntityBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`EntityBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`EntityBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`EntityBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`EntityBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`EntityBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`EntityBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`EntityBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`EntityBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`EntityBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`EntityBeanType<T>` | `removeAllQuery()` Removes all `query` elements
`EntityBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`EntityBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`EntityBeanType<T>` | `removeAllSecurityRoleRef()` Removes all `security-role-ref` elements
`EntityBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`EntityBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`EntityBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`EntityBeanType<T>` | `removeHome()` Removes the `home` element
`EntityBeanType<T>` | `removeLocal()` Removes the `local` element
`EntityBeanType<T>` | `removeLocalHome()` Removes the `local-home` element
`EntityBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EntityBeanType<T>` | `removePrimKeyClass()` Removes the `prim-key-class` element
`EntityBeanType<T>` | `removePrimkeyField()` Removes the `primkey-field` element
`EntityBeanType<T>` | `removeReentrant()` Removes the `reentrant` element
`EntityBeanType<T>` | `removeRemote()` Removes the `remote` element
`EntityBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<EntityBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<EntityBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<EntityBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`SecurityRoleRefType<EntityBeanType<T>>` | `securityRoleRef()` Returns the `security-role-ref` element
`ServiceRefType<EntityBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`EntityBeanType<T>` | `setAbstractSchemaName(java.lang.String abstractSchemaName)` If not already created, a new `abstract-schema-name` element with the given value will be created.
`EntityBeanType<T>` | `setCmpVersion(CmpVersionType cmpVersion)` If not already created, a new `cmp-version` element with the given value will be created.
`EntityBeanType<T>` | `setCmpVersion(java.lang.String cmpVersion)` If not already created, a new `cmp-version` element with the given value will be created.
`EntityBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EntityBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EntityBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`EntityBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`EntityBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`EntityBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`EntityBeanType<T>` | `setHome(java.lang.String home)` If not already created, a new `home` element with the given value will be created.
`EntityBeanType<T>` | `setLocal(java.lang.String local)` If not already created, a new `local` element with the given value will be created.
`EntityBeanType<T>` | `setLocalHome(java.lang.String localHome)` If not already created, a new `local-home` element with the given value will be created.
`EntityBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`EntityBeanType<T>` | `setPersistenceType(PersistenceTypeType persistenceType)` If not already created, a new `persistence-type` element with the given value will be created.
`EntityBeanType<T>` | `setPersistenceType(java.lang.String persistenceType)` If not already created, a new `persistence-type` element with the given value will be created.
`EntityBeanType<T>` | `setPrimKeyClass(java.lang.String primKeyClass)` If not already created, a new `prim-key-class` element with the given value will be created.
`EntityBeanType<T>` | `setPrimkeyField(java.lang.String primkeyField)` If not already created, a new `primkey-field` element with the given value will be created.
`EntityBeanType<T>` | `setReentrant(java.lang.Boolean reentrant)` If not already created, a new `reentrant` element with the given value will be created.
`EntityBeanType<T>` | `setRemote(java.lang.String remote)` If not already created, a new `remote` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBeanTypeImpl

    public EntityBeanTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### EntityBeanTypeImpl

    public EntityBeanTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public EntityBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### setDescriptionList

    public EntityBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EntityBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EntityBeanType`

### removeAllDescription

    public EntityBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EntityBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public EntityBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### setDisplayNameList

    public EntityBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `EntityBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `EntityBeanType`

### removeAllDisplayName

    public EntityBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `EntityBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public EntityBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### icon

    public IconType<EntityBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<EntityBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `EntityBeanType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public EntityBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### envEntry

    public EnvEntryType<EntityBeanType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<EntityBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `EntityBeanType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public EntityBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### ejbRef

    public EjbRefType<EntityBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<EntityBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public EntityBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### ejbLocalRef

    public EjbLocalRefType<EntityBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<EntityBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public EntityBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### resourceRef

    public ResourceRefType<EntityBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<EntityBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public EntityBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### resourceEnvRef

    public ResourceEnvRefType<EntityBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<EntityBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public EntityBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### messageDestinationRef

    public MessageDestinationRefType<EntityBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<EntityBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public EntityBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### persistenceContextRef

    public PersistenceContextRefType<EntityBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<EntityBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public EntityBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### persistenceUnitRef

    public PersistenceUnitRefType<EntityBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<EntityBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public EntityBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### postConstruct

    public LifecycleCallbackType<EntityBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<EntityBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `EntityBeanType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public EntityBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### preDestroy

    public LifecycleCallbackType<EntityBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<EntityBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `EntityBeanType<T>`
  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    public EntityBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Specified by:
    `removeAllServiceRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### serviceRef

    public ServiceRefType<EntityBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Specified by:
    `serviceRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    public java.util.List<ServiceRefType<EntityBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Specified by:
    `getServiceRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `service-ref`

### setEjbName

    public EntityBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeEjbName

    public EntityBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    public EntityBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeMappedName

    public EntityBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setHome

    public EntityBeanType<T> setHome(java.lang.String home)

  If not already created, a new `home` element with the given value will be created. Otherwise, the existing `home` element will be updated with the given value.

  Specified by:
    `setHome` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeHome

    public EntityBeanType<T> removeHome()

  Removes the `home` element

  Specified by:
    `removeHome` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getHome

    public java.lang.String getHome()

  Returns the `home` element

  Specified by:
    `getHome` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `home`

### setRemote

    public EntityBeanType<T> setRemote(java.lang.String remote)

  If not already created, a new `remote` element with the given value will be created. Otherwise, the existing `remote` element will be updated with the given value.

  Specified by:
    `setRemote` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeRemote

    public EntityBeanType<T> removeRemote()

  Removes the `remote` element

  Specified by:
    `removeRemote` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getRemote

    public java.lang.String getRemote()

  Returns the `remote` element

  Specified by:
    `getRemote` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `remote`

### setLocalHome

    public EntityBeanType<T> setLocalHome(java.lang.String localHome)

  If not already created, a new `local-home` element with the given value will be created. Otherwise, the existing `local-home` element will be updated with the given value.

  Specified by:
    `setLocalHome` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeLocalHome

    public EntityBeanType<T> removeLocalHome()

  Removes the `local-home` element

  Specified by:
    `removeLocalHome` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getLocalHome

    public java.lang.String getLocalHome()

  Returns the `local-home` element

  Specified by:
    `getLocalHome` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `local-home`

### setLocal

    public EntityBeanType<T> setLocal(java.lang.String local)

  If not already created, a new `local` element with the given value will be created. Otherwise, the existing `local` element will be updated with the given value.

  Specified by:
    `setLocal` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeLocal

    public EntityBeanType<T> removeLocal()

  Removes the `local` element

  Specified by:
    `removeLocal` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getLocal

    public java.lang.String getLocal()

  Returns the `local` element

  Specified by:
    `getLocal` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `local`

### setEjbClass

    public EntityBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Specified by:
    `setEjbClass` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeEjbClass

    public EntityBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Specified by:
    `removeEjbClass` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getEjbClass

    public java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Specified by:
    `getEjbClass` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `ejb-class`

### setPersistenceType

    public EntityBeanType<T> setPersistenceType(PersistenceTypeType persistenceType)

  If not already created, a new `persistence-type` element with the given value will be created. Otherwise, the existing `persistence-type` element will be updated with the given value.

  Specified by:
    `setPersistenceType` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### setPersistenceType

    public EntityBeanType<T> setPersistenceType(java.lang.String persistenceType)

  If not already created, a new `persistence-type` element with the given value will be created. Otherwise, the existing `persistence-type` element will be updated with the given value.

  Specified by:
    `setPersistenceType` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getPersistenceType

    public PersistenceTypeType getPersistenceType()

  Returns the `persistence-type` element

  Specified by:
    `getPersistenceType` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `persistence-type`

### getPersistenceTypeAsString

    public java.lang.String getPersistenceTypeAsString()

  Returns the `persistence-type` element

  Specified by:
    `getPersistenceTypeAsString` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `persistence-type`

### setPrimKeyClass

    public EntityBeanType<T> setPrimKeyClass(java.lang.String primKeyClass)

  If not already created, a new `prim-key-class` element with the given value will be created. Otherwise, the existing `prim-key-class` element will be updated with the given value.

  Specified by:
    `setPrimKeyClass` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removePrimKeyClass

    public EntityBeanType<T> removePrimKeyClass()

  Removes the `prim-key-class` element

  Specified by:
    `removePrimKeyClass` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getPrimKeyClass

    public java.lang.String getPrimKeyClass()

  Returns the `prim-key-class` element

  Specified by:
    `getPrimKeyClass` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `prim-key-class`

### setReentrant

    public EntityBeanType<T> setReentrant(java.lang.Boolean reentrant)

  If not already created, a new `reentrant` element with the given value will be created. Otherwise, the existing `reentrant` element will be updated with the given value.

  Specified by:
    `setReentrant` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeReentrant

    public EntityBeanType<T> removeReentrant()

  Removes the `reentrant` element

  Specified by:
    `removeReentrant` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### isReentrant

    public java.lang.Boolean isReentrant()

  Returns the `reentrant` element

  Specified by:
    `isReentrant` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `reentrant`

### setCmpVersion

    public EntityBeanType<T> setCmpVersion(CmpVersionType cmpVersion)

  If not already created, a new `cmp-version` element with the given value will be created. Otherwise, the existing `cmp-version` element will be updated with the given value.

  Specified by:
    `setCmpVersion` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### setCmpVersion

    public EntityBeanType<T> setCmpVersion(java.lang.String cmpVersion)

  If not already created, a new `cmp-version` element with the given value will be created. Otherwise, the existing `cmp-version` element will be updated with the given value.

  Specified by:
    `setCmpVersion` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getCmpVersion

    public CmpVersionType getCmpVersion()

  Returns the `cmp-version` element

  Specified by:
    `getCmpVersion` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `cmp-version`

### getCmpVersionAsString

    public java.lang.String getCmpVersionAsString()

  Returns the `cmp-version` element

  Specified by:
    `getCmpVersionAsString` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `cmp-version`

### setAbstractSchemaName

    public EntityBeanType<T> setAbstractSchemaName(java.lang.String abstractSchemaName)

  If not already created, a new `abstract-schema-name` element with the given value will be created. Otherwise, the existing `abstract-schema-name` element will be updated with the given value.

  Specified by:
    `setAbstractSchemaName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removeAbstractSchemaName

    public EntityBeanType<T> removeAbstractSchemaName()

  Removes the `abstract-schema-name` element

  Specified by:
    `removeAbstractSchemaName` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getAbstractSchemaName

    public java.lang.String getAbstractSchemaName()

  Returns the `abstract-schema-name` element

  Specified by:
    `getAbstractSchemaName` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `abstract-schema-name`

### removeAllCmpField

    public EntityBeanType<T> removeAllCmpField()

  Removes all `cmp-field` elements

  Specified by:
    `removeAllCmpField` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### cmpField

    public CmpFieldType<EntityBeanType<T>> cmpField()

  Returns the `cmp-field` element

  Specified by:
    `cmpField` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `cmp-field`

### getCmpFieldList

    public java.util.List<CmpFieldType<EntityBeanType<T>>> getCmpFieldList()

  Returns all `cmp-field` elements

  Specified by:
    `getCmpFieldList` in interface `EntityBeanType<T>`
  Returns:
    list of `cmp-field`

### setPrimkeyField

    public EntityBeanType<T> setPrimkeyField(java.lang.String primkeyField)

  If not already created, a new `primkey-field` element with the given value will be created. Otherwise, the existing `primkey-field` element will be updated with the given value.

  Specified by:
    `setPrimkeyField` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### removePrimkeyField

    public EntityBeanType<T> removePrimkeyField()

  Removes the `primkey-field` element

  Specified by:
    `removePrimkeyField` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### getPrimkeyField

    public java.lang.String getPrimkeyField()

  Returns the `primkey-field` element

  Specified by:
    `getPrimkeyField` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `primkey-field`

### removeAllSecurityRoleRef

    public EntityBeanType<T> removeAllSecurityRoleRef()

  Removes all `security-role-ref` elements

  Specified by:
    `removeAllSecurityRoleRef` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### securityRoleRef

    public SecurityRoleRefType<EntityBeanType<T>> securityRoleRef()

  Returns the `security-role-ref` element

  Specified by:
    `securityRoleRef` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `security-role-ref`

### getSecurityRoleRefList

    public java.util.List<SecurityRoleRefType<EntityBeanType<T>>> getSecurityRoleRefList()

  Returns all `security-role-ref` elements

  Specified by:
    `getSecurityRoleRefList` in interface `EntityBeanType<T>`
  Returns:
    list of `security-role-ref`

### removeSecurityIdentity

    public EntityBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### securityIdentity

    public SecurityIdentityType<EntityBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

### removeAllQuery

    public EntityBeanType<T> removeAllQuery()

  Removes all `query` elements

  Specified by:
    `removeAllQuery` in interface `EntityBeanType<T>`
  Returns:
    the current instance of `EntityBeanType`

### query

    public QueryType<EntityBeanType<T>> query()

  Returns the `query` element

  Specified by:
    `query` in interface `EntityBeanType<T>`
  Returns:
    the node defined for the element `query`

### getQueryList

    public java.util.List<QueryType<EntityBeanType<T>>> getQueryList()

  Returns all `query` elements

  Specified by:
    `getQueryList` in interface `EntityBeanType<T>`
  Returns:
    list of `query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD